using System;
using System.IO;
using System.Windows.Forms;
using Addison_Wesley.Codebook.Filesystem;

namespace Porovnání_složek
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Porovnání složek";

         /* Porovnání dvou totožných složek */
         string folderName1 = Path.Combine(Application.StartupPath, @"..\..\Demo\Demo1");
         string folderName2 = Path.Combine(Application.StartupPath, @"..\..\Demo\Demo2");

         if (FolderUtils.CompareFolders(folderName1, folderName2, false))
            Console.WriteLine("Složky Demo1 a Demo2 jsou totožné");
         else
            Console.WriteLine("Složky Demo1 a Demo2 nejsou totožné");

         /* Porovnání dvou různých složek */
         folderName2 = Path.Combine(Application.StartupPath, @"..\..\Demo\Demo3");

         if (FolderUtils.CompareFolders(folderName1, folderName2, false))
             Console.WriteLine("Složky Demo1 a Demo3 jsou totožné");
         else
             Console.WriteLine("Složky Demo1 a Demo3 nejsou totožné");


         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
